cdac.medinfo.sdk.hl7282.baselibs.segments

## Class DMI

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.DMI

- All Implemented Interfaces:
    ISegment

      public class DMI
      extends Segment

  DMI - Clinical Study Schedule Master Segment

  The Clinical Study Schedule Master (DMI) contains the information about the scheduled time which points for study or phase-related treatment or evaluation events.

  Represents an HL7 DMI message segment. This segment has the following fields:

  DMI-1: Diagnostic Related Group (CNE)Optional
  DMI-2: Major Diagnostic Category (CNE)Conditional
  DMI-3: Lower and Upper Trim Points (NR)Conditional
  DMI-4: Average Length of Stay (NM)Conditional
  DMI-5: Relative Weight (NM)Conditional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DMI()` Constructs the DMI segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NM` | `getAverageLengthOfStay()` Retrieves the Average Length of Stay.
    `CNE` | `getDiagnosticRelatedGroup()` Retrieves the Diagnostic Related Group .
    `NR` | `getLowerAndUpperTrimPoints()` Retrieves the Lower and Upper Trim Points.
    `CNE` | `getMajorDiagnosticCategoryGroup()` Get the Major Diagnostic Category.
    `NM` | `getRelativeWeight()` Retrieves the Relative Weight.
    `void` | `setAverageLengthOfStay(NM objRelativeWeight)` Set the Average Length of Stay.
    `void` | `setAverageLengthOfStay(java.lang.String strAverageLengthOfStay)` Set the Average Length of Stay.
    `void` | `setDiagnosticRelatedGroup(CNE objcne)` Set the Diagnostic Related Group .
    `void` | `setDiagnosticRelatedGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Diagnostic Related Group .
    `void` | `setLowerAndUpperTrimPoints(NM objLowValue, NM objHighValue)` Set the Lower and Upper Trim Points.
    `void` | `setLowerAndUpperTrimPoints(NR objLowerAndUpperTrimPoints)` Set the Lower and Upper Trim Points.
    `void` | `setMajorDiagnosticCategory(CNE objcne)` Set the Major Diagnostic Category.
    `void` | `setMajorDiagnosticCategory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Major Diagnostic Category.
    `void` | `setRelativeWeight(NM objRelativeWeight)` Set the Relative Weight.
    `void` | `setRelativeWeight(java.lang.String strRelativeWeight)` Set the Relative Weight.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DMI

          public DMI()

      Constructs the DMI segment.

  - ### Method Detail

    - #### getDiagnosticRelatedGroup

          public CNE getDiagnosticRelatedGroup()

      Retrieves the Diagnostic Related Group . This field contains the DRG for the transaction. Interim DRG's could be determined for an encounter.
      Returns:
        CNE - cne

    - #### setDiagnosticRelatedGroup

          public void setDiagnosticRelatedGroup(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionID,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameOfSecondAltenateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Diagnostic Related Group . This field contains the DRG for the transaction. Interim DRG's could be determined for an encounter.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setDiagnosticRelatedGroup

          public void setDiagnosticRelatedGroup(CNE objcne)

      Set the Diagnostic Related Group . This field contains the DRG for the transaction. Interim DRG's could be determined for an encounter.
      Parameters:
        `objcne` - object of Diagnostic Related Group .

    - #### getMajorDiagnosticCategoryGroup

          public CNE getMajorDiagnosticCategoryGroup()

      Get the Major Diagnostic Category. This field indicates the determined Major Diagnostic Category (MDC) value.
      Parameters:
        `objcne` - object of Major Diagnostic Category.

    - #### setMajorDiagnosticCategory

          public void setMajorDiagnosticCategory(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionID,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameOfSecondAltenateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Major Diagnostic Category. This field indicates the determined Major Diagnostic Category (MDC) value.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setMajorDiagnosticCategory

          public void setMajorDiagnosticCategory(CNE objcne)

      Set the Major Diagnostic Category. This field indicates the determined Major Diagnostic Category (MDC) value.
      Parameters:
        `objcne` - object of Major Diagnostic Category.

    - #### getLowerAndUpperTrimPoints

          public NR getLowerAndUpperTrimPoints()

      Retrieves the Lower and Upper Trim Points. This field contains the lower and upper trim points as calculated for this DRG.
      Returns:
        String - LowerAndUpperTrimPoints

    - #### setLowerAndUpperTrimPoints

          public void setLowerAndUpperTrimPoints(NM objLowValue,
                                        NM objHighValue)

      Set the Lower and Upper Trim Points. This field contains the lower and upper trim points as calculated for this DRG.
      Parameters:
        `objLowValue` - Specifies Low value
        `objHighValue` - Specifies High Value.

    - #### setLowerAndUpperTrimPoints

          public void setLowerAndUpperTrimPoints(NR objLowerAndUpperTrimPoints)

      Set the Lower and Upper Trim Points. This field contains the lower and upper trim points as calculated for this DRG.
      Parameters:
        `objLowerAndUpperTrimPoints` - object of Lower and Upper Trim Points.

    - #### getAverageLengthOfStay

          public NM getAverageLengthOfStay()

      Retrieves the Average Length of Stay. This field contains the average length of stay in days, calculated as the geometric mean value, allocated to the determined DRG.
      Returns:
        NM - RelativeWeight

    - #### setAverageLengthOfStay

          public void setAverageLengthOfStay(java.lang.String strAverageLengthOfStay)

      Set the Average Length of Stay. This field contains the average length of stay in days, calculated as the geometric mean value, allocated to the determined DRG.
      Parameters:
        `strAverageLengthOfStay` - String to be passed as Average Length of Stay

    - #### setAverageLengthOfStay

          public void setAverageLengthOfStay(NM objRelativeWeight)

      Set the Average Length of Stay. This field contains the average length of stay in days, calculated as the geometric mean value, allocated to the determined DRG.
      Parameters:
        `objRelativeWeight` - Object of Average Length of Stay.

    - #### getRelativeWeight

          public NM getRelativeWeight()

      Retrieves the Relative Weight. Each DRG has its own relative weight (cost weight) which is calculated (defined) by official institutions. This value is the basis for calculating other values, e.g., the effective weight.
      Returns:
        NM - RelativeWeight

    - #### setRelativeWeight

          public void setRelativeWeight(java.lang.String strRelativeWeight)

      Set the Relative Weight. Each DRG has its own relative weight (cost weight) which is calculated (defined) by official institutions. This value is the basis for calculating other values, e.g., the effective weight.
      Parameters:
        `strRelativeWeight` - String to be passed as Relative Weight

    - #### setRelativeWeight

          public void setRelativeWeight(NM objRelativeWeight)

      Set the Relative Weight. Each DRG has its own relative weight (cost weight) which is calculated (defined) by official institutions. This value is the basis for calculating other values, e.g., the effective weight.
      Parameters:
        `objRelativeWeight` - Object of Relative Weight.